Cyberduck Mountain Duck CLI

#6207 closed defect (fixed)

Cannot connect to Eucalyptus Community Cloud - I/O Error : Connection Failed

Reported by: chimpeenuts Owned by: dkocher
Priority: normal Milestone: 4.1.3
Component: eucalyptus Version: 4.1
Severity: blocker Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description (last modified by chimpeenuts)

Trying to connect to Eucalyptus' community cloud Walrus service.

Community URL: https://ecc.eucalyptus.com:8443/

Was able to connect with JetS3t's Cockpit (same system), upload a file, and create the following public URL for an item: http://ecc.eucalyptus.com:8773/services/Walrus/chimpeenuts-bucket/Argentina.gif

UPDATE: Can get CloudBerry Explorer LITE on Windows to connect to community cloud.

See attached screenshot for connection settings and specified Query ID and Secret Key.

When I try to connect I get error: 'I/O Error: Connection failed - Unrecognized SSL message, plaintext connection?" with an option to Cancel or Try Again. Clicking Try Again brings up the same error message. (see attached screenshot)

When I click on the URL (with no username or secret key) inside the connection window, I get an error message indicating 'no such user' but this is expected (since I'm not supplying any user credentials) and GOOD because means I'm reaching the service and it does indeed exist:

<Error xmlns="http://s3.amazonaws.com/doc/2006-03-01/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<Code>AccessDenied</Code>
<Message>Access Denied</Message>
<Resource>no such user</Resource>
<RequestId>36844774-a99b-44e9-a2a5-b2ddee9a5d3a</RequestId>
</Error>

Attachments (3)

Screen shot 2011-09-07 at 10.21.02 AM.png (59.8 KB) - added by chimpeenuts on Sep 7, 2011 at 2:31:44 PM.
Connection settings
Screen shot 2011-09-07 at 10.21.24 AM.png (40.4 KB) - added by chimpeenuts on Sep 7, 2011 at 2:32:03 PM.
access Id and secure key
Screen shot 2011-09-07 at 10.21.29 AM.png (27.0 KB) - added by chimpeenuts on Sep 7, 2011 at 4:12:41 PM.
Cyberduck error message dialog

Download all attachments as: .zip

Change History (12)

Changed on Sep 7, 2011 at 2:31:44 PM by chimpeenuts

Connection settings

Changed on Sep 7, 2011 at 2:32:03 PM by chimpeenuts

access Id and secure key

comment:1 Changed on Sep 7, 2011 at 4:12:19 PM by chimpeenuts

  • Description modified (diff)

Changed on Sep 7, 2011 at 4:12:41 PM by chimpeenuts

Cyberduck error message dialog

comment:2 follow-up: Changed on Sep 7, 2011 at 4:24:17 PM by dkocher

I can replicate the issue here. I haven't looked into it closely yet but it looks like a SSL negogiation issue. Similarly if I connect to https://ecc.eucalyptus.com/ in a web browser get an error establishing a secure connection. In particular Chrome gives a ERR_NO_SSL_VERSIONS_ENABLED.

Last edited on Sep 7, 2011 at 4:25:51 PM by dkocher (previous) (diff)

comment:3 Changed on Sep 7, 2011 at 4:24:26 PM by dkocher

  • Priority changed from high to normal

comment:4 in reply to: ↑ 2 Changed on Sep 7, 2011 at 4:25:30 PM by dkocher

Replying to dkocher:

I can replicate the issue here. I haven't looked into it closely yet but it looks like a SSL negogiation issue. Similarly if I connect to https://ecc.eucalyptus.com/ in a web browser get an error establishing a secure connection. In particular Chrome gives a ERR_NO_SSL_VERSIONS_ENABLED.

Sorry, that information is wrong. I was attempting to connect to port 443 instead of 8443 .

comment:5 follow-up: Changed on Sep 7, 2011 at 4:29:34 PM by chimpeenuts

Keep in mind that the Eucalyptus Cloud Web Interface is often run on port 8443, but the Eucalyptus Walrus server is often on port 8773. One "enhancement" I saw to make in CyberDuck is that when you create a new Walrus endpoint, Cyberduck uses a default port of 8443, which is actually confusing since it should be 8773 since that's the usual default port for Eucalyptus Walrus.

comment:6 in reply to: ↑ 5 Changed on Sep 7, 2011 at 4:40:05 PM by dkocher

Replying to chimpeenuts:

Keep in mind that the Eucalyptus Cloud Web Interface is often run on port 8443, but the Eucalyptus Walrus server is often on port 8773. One "enhancement" I saw to make in CyberDuck is that when you create a new Walrus endpoint, Cyberduck uses a default port of 8443, which is actually confusing since it should be 8773 since that's the usual default port for Eucalyptus Walrus.

Default port changed in r9005.

comment:7 Changed on Sep 7, 2011 at 4:54:34 PM by dkocher

  • Milestone set to 4.1.3
  • Resolution set to fixed
  • Status changed from new to closed

The default port was not taken into account at all thus trying to connect to the 443 instead. Fix in r9006.

comment:8 Changed on Sep 7, 2011 at 4:56:41 PM by dkocher

#6206 closed as duplicate.

comment:9 Changed on Sep 7, 2011 at 4:57:10 PM by dkocher

A new snapshot build with the fix included will be available in a few minutes.

Note: See TracTickets for help on using tickets.
swiss made software